App violates the Android Advertising Id policy

  • A+
Category:Languages

I've just received this message from Google Play but I'm not collecting the Advertising ID.

Reason for warning: Violation of Usage of Android Advertising ID policy and section 4.8 of the Developer Distribution Agreement

Google Play requires developers to provide a valid privacy policy when the app requests or handles sensitive user or device information. We’ve identified that your app collects and transmits the Android advertising ID, which is subject to a privacy policy requirement.

Is it possible any of my dependicies uses it? Here's the list of dependencies:

implementation "org.jetbrains.kotlin:kotlin-stdlib:$kotlin_version" implementation "org.jetbrains.anko:anko-common:$anko_version"  implementation ("com.android.support:appcompat-v7:$android_support_version") {     exclude group: 'com.android.support', module: 'animated-vector-drawable'     exclude group: 'com.android.support', module: 'design' } implementation ("com.android.support:design:$android_support_version") {     exclude group: 'com.android.support', module: 'animated-vector-drawable' } implementation ("com.android.support:cardview-v7:$android_support_version") {     exclude group: 'com.android.support', module: 'animated-vector-drawable'     exclude group: 'com.android.support', module: 'design' } implementation 'com.github.PhilJay:MPAndroidChart:v3.0.2' implementation 'com.github.apl-devs:appintro:v4.2.3' implementation('com.crashlytics.sdk.android:crashlytics:2.6.8@aar') {     transitive = true } implementation 'com.firebase:firebase-jobdispatcher:0.7.0' implementation ("com.google.firebase:firebase-firestore:$firestore_version") {     exclude group: 'com.google.firebase', module: 'firebase-auth' } implementation ("com.google.firebase:firebase-auth:$firebase_version") {     exclude group: 'com.google.firebase', module: 'firebase-firestore' } implementation ("com.google.firebase:firebase-storage:$firebase_version") {     exclude group: 'com.google.firebase', module: 'firebase-firestore' } implementation ('com.google.android.gms:play-services-auth:16.0.0') {     exclude group: 'com.google.firebase', module: 'firebase-firestore' } implementation 'com.android.support.constraint:constraint-layout:1.1.3' implementation 'com.android.support:multidex:1.0.3' implementation ("com.android.support:exifinterface:$android_support_version") {     exclude group: 'com.android.support', module: 'animated-vector-drawable'     exclude group: 'com.android.support', module: 'design' } implementation 'com.soundcloud.android:android-crop:1.0.1@aar' implementation 'com.github.bumptech.glide:glide:4.7.1' 

 


I'am also recieved this message today, I am not requesting any sensitive permission and not collecting users data

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: